<?php

require_once '../app/model/db.class.php';


if ($_POST['accion']=='grados'){

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $resul=$obj->consulta("select codigo,descripcion from grados order by orden");
    $obj->disconnect();

    $grados="<option value='0'>Seleccione Grado</option>";

    while($row = $obj->fetch_assoc($resul)){
          $grados.="<OPTION VALUE='".$row['codigo']."'>".($row['descripcion'])."</OPTION>";
    }

   echo $grados;
 
}

//-----------------------------------------

if ($_POST['accion']=='cursos'){

    $grado=$_POST['grado'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $resul=$obj->consulta("select codigo,descripcion from cursos where grado='".$grado."' order by orden");
    $obj->disconnect();

    $cursos="<option value='0'>Seleccione Curso</option>";

    while($row = $obj->fetch_assoc($resul)){
          $cursos.="<OPTION VALUE='".$row['codigo']."'>".($row['descripcion'])."</OPTION>";
    }

   echo $cursos;

}


//-----------------------------------------

if ($_POST['accion']=='alumnos'){

    $grado=$_POST['grado'];
    $curso=$_POST['curso'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $resul=$obj->consulta("select alumnos.codigo, alumnos.p_apellido, alumnos.s_apellido, alumnos.p_nombre, alumnos.s_nombre from alumnos inner join matriculas on alumnos.codigo = matriculas.codigo where (((matriculas.grado)='".$grado."') and ((matriculas.curso)='".$curso."')) order by alumnos.p_apellido, alumnos.s_apellido, alumnos.p_nombre, alumnos.s_nombre");


    $obj->disconnect();

    $estudiantes="";

    while($row = $obj->fetch_assoc($resul)){
          $estudiantes.="<OPTION VALUE='".$row['codigo']."'>".$row['codigo']."  -  ".($row['p_apellido'])." ". ($row['s_apellido'])." ".($row['p_nombre'])." ". ($row['s_nombre'])."</OPTION>";
    }

   echo $estudiantes;

}


//-------------------------------------
if ($_POST['accion']=='periodos'){
    
          $p="<option value='0'>Seleccione Periodo</option>";
          $p.="<option value='periodo_1'>1</option>";
          $p.="<option value='periodo_2'>2</option>";
          $p.="<option value='periodo_3'>3</option>";
          $p.="<option value='periodo_4'>4</option>";
          $p.="<option value='periodo_5'>5</option>";


   echo $p;
}



if ($_POST['accion']=='tabla_periodos'){

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $resul=$obj->consulta("select * from periodos order by orden");


    $obj->disconnect();

    $tabla_per="";

    $tabla_per.="<center><table align='center' border='0' cellspacing='0' cellpadding='0' class='hovertable' width='50%'>";
    $tabla_per.="<tr align='center'> <td><b>C&Oacute;DIGO</b></td> <td><b>DESCRIPCI&Oacute;N</b></td> <td><b>PERIODO ACTIVO?</b></td></tr>";

    while($row = $obj->fetch_assoc($resul)){
          $tabla_per.="<tr>";
          $tabla_per.="<td align='center' width='20%'>".$row['codigo']."</td>";
          $tabla_per.="<td width='60%'>".($row['descripcion'])."</td>";
          
          if ($row['estado']=='0'){
              $tabla_per.="<td align='center' width='20%'>NO</td>";
          }
          else{
              $tabla_per.="<td align='center' width='20%'>SI</td>";
          }

          $tabla_per.="</tr>";
    }

   $tabla_per.="</table></center>";
   echo   $tabla_per;

}

?>